### Method

# Clapper Queue set_gapless

#### Declaration [src]

    void
    clapper_queue_set_gapless (
      ClapperQueue* queue,
      gboolean gapless
    )

#### Description [src]

Set `ClapperQueue` progression to be gapless.

Gapless playback will try to re-use as much as possible of underlying GStreamer elements when `ClapperQueue` progresses, removing any potential gap in the data.

Enabling this option mostly makes sense when used together with `ClapperQueue:progression-mode` property set to `CLAPPER_QUEUE_PROGRESSION_CONSECUTIVE`.

NOTE: This feature within GStreamer is rather new and might still cause playback issues. Disabled by default.

Sets property | `Clapper.Queue:gapless`

#### Parameters

`gapless`

  Type: `gboolean`

  `TRUE` to enable, `FALSE` otherwise.